Bug 994348 - quota+nfs: write to a file turns out to be I/O error, when quota is enabled
quota+nfs: write to a file turns out to be I/O error, when quota is enabled
Status: CLOSED CURRENTRELEASE
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterd (Show other bugs)
2.1
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Bug Updates Notification Mailing List
Saurabh
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-07 01:50 EDT by Saurabh
Modified: 2016-01-19 01:12 EST (History)
7 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0.33rhs
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-07 07:35:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Saurabh 2013-08-07 01:50:52 EDT
Description of problem:
while trying to create a file, enables quota and after few secons the error response is
 Input/output error
same issue is not seen when we are using the volume set command for changing the log levels.

Volume Name: dist-rep
Type: Distributed-Replicate
Volume ID: b4177115-e7cc-45c9-9e8a-6da300f0546b
Status: Started
Number of Bricks: 6 x 2 = 12
Transport-type: tcp
Bricks:
Brick1: 10.70.37.123:/rhs/bricks/d1r1
Brick2: 10.70.37.118:/rhs/bricks/d1r2
Brick3: 10.70.37.196:/rhs/bricks/d2r1
Brick4: 10.70.37.121:/rhs/bricks/d2r2
Brick5: 10.70.37.123:/rhs/bricks/d3r1
Brick6: 10.70.37.118:/rhs/bricks/d3r2
Brick7: 10.70.37.196:/rhs/bricks/d4r1
Brick8: 10.70.37.121:/rhs/bricks/d4r2
Brick9: 10.70.37.123:/rhs/bricks/d5r1
Brick10: 10.70.37.118:/rhs/bricks/d5r2
Brick11: 10.70.37.196:/rhs/bricks/d6r1
Brick12: 10.70.37.121:/rhs/bricks/d6r2
Options Reconfigured:
diagnostics.client-log-level: INFO
features.quota: on
[root@nfs1 ~]# 



Version-Release number of selected component (if applicable):
[root@nfs1 ~]# rpm -qa | grep glusterfs
glusterfs-3.4.0.15rhs-1.el6rhs.x86_64
glusterfs-server-3.4.0.15rhs-1.el6rhs.x86_64
glusterfs-fuse-3.4.0.15rhs-1.el6rhs.x86_64

How reproducible:
always

Steps to Reproduce:
1. create a 6x2 volume start it.
2. mount over nfs
3. start creating a large file
4. meanwhile, enable quota,

Actual results:
[root@rhsauto030 dir]# time dd if=/dev/urandom of=20GBfile bs=128k count=167772
dd: writing `20GBfile': Input/output error
8531+0 records in
8530+0 records out
1118044160 bytes (1.1 GB) copied, 257.729 s, 4.3 MB/s

real    4m17.753s
user    0m0.020s
sys     3m8.846s


nfs.log

[2013-08-06 18:47:54.007805] W [nfs3.c:2069:nfs3svc_write_cbk] 0-nfs: 49f95be: <gfid:8ec2994a-7aa0-4ce0-a034-63c9d01b9037> => -1 (Invalid argument)
[2013-08-06 18:47:54.007831] W [nfs3-helpers.c:3443:nfs3_log_write_res] 0-nfs-nfsv3: XID: 49f95be, WRITE: NFS: 22(Invalid argument for operation), POSIX: 22(Invalid argument), count: 0, UNSTABLE,wverf: 1375814815
[2013-08-06 18:47:54.011507] W [nfs3.c:2069:nfs3svc_write_cbk] 0-nfs: 59f95be: <gfid:8ec2994a-7aa0-4ce0-a034-63c9d01b9037> => -1 (Invalid argument)
[2013-08-06 18:47:54.011536] W [nfs3-helpers.c:3443:nfs3_log_write_res] 0-nfs-nfsv3: XID: 59f95be, WRITE: NFS: 22(Invalid argument for operation), POSIX: 22(Invalid argument), count: 0, UNSTABLE,wverf: 1375814815
[2013-08-06 18:47:54.013620] W [nfs3.c:2069:nfs3svc_write_cbk] 0-nfs: 69f95be: <gfid:8ec2994a-7aa0-4ce0-a034-63c9d01b9037> => -1 (Invalid argument)
[2013-08-06 18:47:54.013671] W [nfs3-helpers.c:3443:nfs3_log_write_res] 0-nfs-nfsv3: XID: 69f95be, WRITE: NFS: 22(Invalid argument for operation), POSIX: 22(Invalid argument), count: 0, UNSTABLE,wverf: 1375814815
[2013-08-06 18:48:54.012840] W [nfs3.c:4946:nfs3svc_commit_cbk] 0-nfs: 79f95be: <gfid:8ec2994a-7aa0-4ce0-a034-63c9d01b9037> => -1 (Invalid argument)
[2013-08-06 18:48:54.012890] W [nfs3-helpers.c:3504:nfs3_log_commit_res] 0-nfs-nfsv3: XID: 79f95be, COMMIT: NFS: 22(Invalid argument for operation), POSIX: 22(Invalid argument), wverf: 1375814815
[2013-08-06 18:48:54.012952] W [nfs3.c:4946:nfs3svc_commit_cbk] 0-nfs: 79f95be: <gfid:8ec2994a-7aa0-4ce0-a034-63c9d01b9037> => -1 (Invalid argument)
[2013-08-06 18:48:54.012985] W [nfs3-helpers.c:3504:nfs3_log_commit_res] 0-nfs-nfsv3: XID: 79f95be, COMMIT: NFS: 22(Invalid argument for operation), POSIX: 22(Invalid argument), wverf: 1375814815


Expected results:
the file creation should not get affected while enabling quota for the volume.

Additional info:

Note You need to log in before you can comment on or make changes to this bug.